<?php
/**
 * Slider Section options
 *
 * @package Theme Palace
 * @subpackage Tale Travel Pro
 * @since Tale Travel Pro 1.0.0
 */

// Add Slider section
$wp_customize->add_section( 'tale_travel_pro_slider_section', array(
	'title'             => esc_html__( 'Banner','tale-travel-pro' ),
	'description'       => esc_html__( 'Banner Section options.', 'tale-travel-pro' ),
	'panel'             => 'tale_travel_pro_front_page_panel',
) );

// Slider content enable control and setting
$wp_customize->add_setting( 'tale_travel_pro_theme_options[slider_section_enable]', array(
	'default'			=> 	$options['slider_section_enable'],
	'sanitize_callback' => 'tale_travel_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Tale_Travel_Pro_Switch_Control( $wp_customize, 'tale_travel_pro_theme_options[slider_section_enable]', array(
	'label'             => esc_html__( 'Banner Section Enable', 'tale-travel-pro' ),
	'section'           => 'tale_travel_pro_slider_section',
	'on_off_label' 		=> tale_travel_pro_switch_options(),
) ) );

// Slider content type control and setting
$wp_customize->add_setting( 'tale_travel_pro_theme_options[slider_content_type]', array(
	'default'          	=> $options['slider_content_type'],
	'sanitize_callback' => 'tale_travel_pro_sanitize_select',
) );

$wp_customize->add_control( 'tale_travel_pro_theme_options[slider_content_type]', array(
	'label'             => esc_html__( 'Content Type', 'tale-travel-pro' ),
	'section'           => 'tale_travel_pro_slider_section',
	'type'				=> 'select',
	'active_callback' 	=> 'tale_travel_pro_is_slider_section_enable',
	'choices'			=> tale_travel_pro_slider_content_type(),
) );

// slider pages drop down chooser control and setting
$wp_customize->add_setting( 'tale_travel_pro_theme_options[slider_content_page]', array(
	'sanitize_callback' => 'tale_travel_pro_sanitize_page',
) );

$wp_customize->add_control( new Tale_Travel_Pro_Dropdown_Chooser( $wp_customize, 'tale_travel_pro_theme_options[slider_content_page]', array(
	'label'             => esc_html__( 'Select Page', 'tale-travel-pro' ),
	'section'           => 'tale_travel_pro_slider_section',
	'choices'			=> tale_travel_pro_page_choices(),
	'active_callback'	=> 'tale_travel_pro_is_slider_section_content_page_enable',
) ) );

// slider posts drop down chooser control and setting
$wp_customize->add_setting( 'tale_travel_pro_theme_options[slider_content_post]', array(
	'sanitize_callback' => 'tale_travel_pro_sanitize_page',
) );

$wp_customize->add_control( new Tale_Travel_Pro_Dropdown_Chooser( $wp_customize, 'tale_travel_pro_theme_options[slider_content_post]', array(
	'label'             => esc_html__( 'Select Post', 'tale-travel-pro' ),
	'section'           => 'tale_travel_pro_slider_section',
	'choices'			=> tale_travel_pro_post_choices(),
	'active_callback'	=> 'tale_travel_pro_is_slider_section_content_post_enable',
) ) );

// slider posts drop down chooser control and setting
$wp_customize->add_setting( 'tale_travel_pro_theme_options[slider_content_trip]', array(
	'sanitize_callback' => 'tale_travel_pro_sanitize_page',
) );

$wp_customize->add_control( new Tale_Travel_Pro_Dropdown_Chooser( $wp_customize, 'tale_travel_pro_theme_options[slider_content_trip]', array(
	'label'             => esc_html__( 'Select Trip', 'tale-travel-pro' ),
	'section'           => 'tale_travel_pro_slider_section',
	'choices'			=> tale_travel_pro_trip_choices(),
	'active_callback'	=> 'tale_travel_pro_is_slider_section_content_trip_enable',
) ) );